For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETGet paystubs from legal entity integrated with external benefits vendor
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsPaystubs

Get paystubs from legal entity integrated with external benefits vendor

GET
/benefits/legal-entities/:legal_entity_id/paystubs
GET
/rest/v2/benefits/legal-entities/:legal_entity_id/paystubs
$curl -G https://api.letsdeel.com/rest/v2/benefits/legal-entities/40233e16-a043-4c68-85c1-6a369755b5a5/paystubs \
> -H "Authorization: Bearer <token>" \
> -d states=OPEN \
> -d date_start=2022-01-01 \
> -d date_end=2022-01-15 \
> -d items_per_page=10 \
> -d cursor=40233e16-a043-4c68-85c1-6a369755b5a5
1{
2 "data": {
3 "data": [
4 {
5 "employees": [
6 {
7 "gross_pay": 1000,
8 "contract_id": "48fjd3",
9 "employee_id": "40233e16-a043-4c68-85c1-6a369755b5a5",
10 "hours_worked": 160,
11 "contributions": [
12 {
13 "name": "401k",
14 "type": "Roth",
15 "amount": 100
16 }
17 ],
18 "employerContributions": [
19 {
20 "name": "401k",
21 "type": "Match Rate",
22 "amount": 100
23 }
24 ]
25 }
26 ],
27 "payroll_id": "40233e16-a043-4c68-85c1-6a369755b5a5",
28 "payment_date": "2022-01-01",
29 "payroll_type": "CORRECTION",
30 "payroll_state": "OPEN",
31 "payroll_end_date": "2022-01-15",
32 "payroll_schedule": "MONTHLY",
33 "payroll_start_date": "2022-01-01"
34 }
35 ],
36 "page": {
37 "cursor": "40233e16-a043-4c68-85c1-6a369755b5a5",
38 "total_rows": 100,
39 "items_per_page": 10
40 }
41 }
42}

Returns paginated paystubs for a legal entity that is integrated with an external benefits vendor. Results can be filtered by payroll state and date range; paystubs in the OPEN state do not include employee-level detail. Token scopes: benefits:read

Was this page helpful?
Previous

Create a direct employee

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

legal_entity_idstringRequired
Id from the legal entity to fetch data

Query parameters

stateslist of enumsOptional

Payroll states: OPEN | LOCKED | CLOSED (OPEN doesn’t have employees info)

Allowed values:
date_startstringOptional
Start date to fectch the paystubs from
date_endstringOptional
End date to fectch the paystubs
items_per_pageintegerOptionalDefaults to 10
Items per page
cursorstringOptional
The last fetched id to start querying from

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/